7 Replies Latest reply: Jan 22, 2013 12:12 AM by seventy one
elimbi Level 1 Level 1

I upgraded to OS X Snow Leopard 10.6.8 and discovered I wasn't able to use Mail.

After finding an answer on this forum from someone with the same problem,

I followed the suggestions on this thread ( https://discussions.apple.com/thread/3953295?start=0&tstart=0)

 

After deleting the 3.6 Mail version and reopening Mail in the Applications folder I get the same message but this time version 4.2.

I'm guessing the problem is that I have "moved Mail.app to another location" ( the trash.. ) as this is suggested in the help pop-up...

But this was necessary according to the thread..

Does anyone know how to solve this problem!!?


MacBook, Mac OS X (10.6.8)
Solved by Klaus1 on Jan 21, 2013 3:20 PM Solved

Mac OS X v10.6: Mail.app won’t open, or "You can't use this version of Mail…" alert after installing Security Update 2012-004:

 

http://support.apple.com/kb/TS4424?viewlocale=en_US&locale=en_US

 

Fellow user Grant Bennet-Alder offers this solution:

 

Some users have reported this problem if the Mail Application has been moved out of the top-level /Applications folder, or duplicated in another location.

 

When the Security Update is done, the old version of Mail is disabled.

 

The solution has been to:

 

1) make certain Mail is in the /Applications folder

2) There is no other copy anywhere else.

3) Once steps 1 and 2 have been done, Manually download and re-apply the Security Update (2012-004) by hand.

 

Security Update 2012-004 (Snow Leopard)

 

If the Mail.app has been LOST, it can be re-installed by applying the 10.6.8 version 1.1 combo update. But this update is quite large and it is usually not necessary:

 

Mac OS X 10.6.8 Update Combo v1.1